---
metadata:
  - name: generator
    content: Diplodoc Platform v5.44.0
alternate:
  - https://yandex.ru/dev/webmaster/doc/en/reference/host-user-added-sitemaps-post.md
  - https://yandex.ru/dev/webmaster/doc/ru/reference/host-user-added-sitemaps-post.md
keywords:
  - l
  - i
  - s
  - t
  - ' '
  - o
  - f
  - S
  - e
  - m
  - a
  - p
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.ru/dev/webmaster/doc/en/llms.txt


# Adding a Sitemap file

Adds the Sitemap file to Yandex.Webmaster.

## Request format

In the request body, pass the Sitemap file URL and specify the desired data type in the `Content-type` header (`application/json` or `application/xml`):

```
POST https://api.webmaster.yandex.net/v4/user/{[user-id](*user-id)}/hosts/{[host-id](*host-id)}/user-added-sitemaps
```

#|
||
`user-id`
|
<!-- source: en/_includes/popups.md -->
Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.ru/dev/webmaster/doc/en/reference/user.md) method.
<!-- endsource: en/_includes/popups.md -->
||
||
`host-id`
|
<!-- source: en/_includes/popups.md -->
Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.ru/dev/webmaster/doc/en/reference/hosts.md) method.
<!-- endsource: en/_includes/popups.md -->
||
|#

### Example


{% list tabs %}

- JSON

  
  ```javascript
  {
    "url": "http://example.com"
  }
  ```
  

- XML

  
  ```xml
  <Data>
      <[url](*url_desc)>http://example.com</url>
  </Data>
  ```

{% endlist %}

#|
|| **Parameter** | **Description** ||
|| `url` | URL of the Sitemap file to add. ||
|#

## Response format

### Examples

> 
> {% list tabs %}
> 
> - JSON
> 
>   
>   ```javascript
>   {
>     "sitemap_id": "c7-fe:80-c0"
>   }
>   ```
>   
> 
> - XML
> 
>   
>   ```xml
>   <Data>
>       <[sitemap_id](*sitemap_id_desc)>c7-fe:80-c0</sitemap_id>
>   </Data>
>   ```
> 
> {% endlist %}
>
> #|
> || **Name** | **Required** | **Type** | **Description** ||
> || `sitemap_id` | Yes | `string` | ID of the added Sitemap file. ||
> |#

## Response codes

To view the response structure in detail, click the reason.

#|
||
**Code** | **Reason** | **Description**
||
||
201 | CREATED | 
||
||
403
|
[INVALID_USER_ID](https://yandex.ru/dev/webmaster/doc/en/reference/errors.md#invalid-user-id)
|
The ID of the user who issued the token differs from the one specified in the request. In the examples below, `{user_id}` shows the correct `uid` of the OAuth token owner.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "INVALID_USER_ID",   
      "available_user_id": 1,   
      "error_message": "Invalid user id. {user_id} should be used." 
  }
  ```

- XML

  ```xml 
  <Data>     
      <[error_code](*error_code)>INVALID_USER_ID</error_code>     
      <[available_user_id](*available_user_id)>1</available_user_id>     
      <[error_message](*error_message)>Invalid user id. {user_id} should be used.</error_message> 
  </Data>
  ```

{% endlist %}
||
||
404
|
[HOST_NOT_VERIFIED](https://yandex.ru/dev/webmaster/doc/en/reference/errors.md#host-not-verif)
|
Site management rights are not verified.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "HOST_NOT_VERIFIED",   
      "host_id": "http:ya.ru:80",   
      "error_message": "some string" 
  }
  ```

- XML

  ```xml 
  <Data>   
      <[error_code](*error_code)>HOST_NOT_VERIFIED</error_code>     
      <[host_id](*host_id)>http:ya.ru:80</host_id>   
      <[error_message](*error_message)>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
||
409
|
[SITEMAP_ALREADY_ADDED](https://yandex.ru/dev/webmaster/doc/en/reference/errors.md#sitemap-already-added)
|
The Sitemap was already added.

{% list tabs %}

- JSON

  ```json 
  {   
      "error_code": "SITEMAP_ALREADY_ADDED",   
      "sitemap_id": "c7-fe:80-c0",   
      "error_message": "some string" 
  }
  ```

- XML

  ```xml 
  <Data>   
      <error_code>SITEMAP_ALREADY_ADDED</error_code>    
      <sitemap_id>c7-fe:80-c0</sitemap_id>     
      <error_message>some string</error_message> 
  </Data>
  ```

{% endlist %}
||
|#

### Related information

- [Error codes and statuses](https://yandex.ru/dev/webmaster/doc/en/reference/errors.md)




[*user-id]: Type: `int64`. User ID. Required when calling all Yandex.Webmaster API resources. To get it, use the [GET /v4/user](https://yandex.ru/dev/webmaster/doc/en/reference/user.md) method.

[*host-id]: Type: `host id (string)`. The site ID. To get it, use the [GET /v4/user/{user-id}/hosts](https://yandex.ru/dev/webmaster/doc/en/reference/hosts.md) method.

[*url_desc]: **Description**

URL of the Sitemap file to add.

[*sitemap_id_desc]: **Required**

Yes

**Type**

`string`

**Description**

ID of the Sitemap file.

[*error_code]: **Description**

Error code.

[*available_user_id]: **Description**

ID of the user who allowed access.

[*host_id]: **Description**

ID of the requested site.

[*error_message]: **Description**

Error message.